sky_sphere {
   pigment {
      color rgb <0, 0, 0>
   }
}

sphere {
   //*PMName Erde
   <0, 0, 0>, 12.7
   
   normal {
      bump_map {
         jpeg
         "/home/Tommi/Data/facharbeit/3d/maps/hoehenkarte.jpg"
         once
         map_type 1
         interpolate 2
      }
   }
   
   finish {
      diffuse 0.3
      brilliance 0.6
      phong 0.05
      phong_size 15
   }
   
   pigment {
      image_map {
         jpeg
         "/home/Tommi/Data/facharbeit/3d/maps/erde.jpg"
         once
         map_type 1
         interpolate 2
      }
   }
   rotate y*300
}

sphere {
   //*PMName Wolken
   <0, 0, 0>, 12.72
   
   normal {
      bump_map {
         gif
         "/home/Tommi/Data/facharbeit/3d/maps/wolken.gif"
         once
         map_type 1
         interpolate 2
      }
   }
   
   pigment {
      image_map {
         gif
         "/home/Tommi/Data/facharbeit/3d/maps/wolken.gif"
         transmit 0, 1
         transmit 1, 1
         transmit 2, 1
         transmit 3, 1
         transmit 4, 0.96
         transmit 5, 0.88
         transmit 6, 0.8
         transmit 7, 0.72
         transmit 8, 0.64
         transmit 9, 0.56
         transmit 10, 0.48
         transmit 11, 0.4
         transmit 12, 0.32
         transmit 13, 0.24
         transmit 14, 0.16
         transmit 15, 0.08
         transmit 16, 0
         filter all 0.2
         once
         map_type 1
         interpolate 2
      }
   }
   rotate y*300
   no_shadow
}

torus {
   //*PMName Breitengrad
   8.7, 0.1
   
   pigment {
      color rgbt <0.98039, 0, 0, 1>
   }
   scale 1
   rotate <0, 0, 0>
   translate y*9.2
}

global_settings {
   adc_bailout 0.00392157
   assumed_gamma 1.5
   noise_generator 2
}

cylinder {
   //*PMName Sonnenstrahlen
   <0, 0, 0>, <-40, 0, 0>, 12.75
   open
   
   pigment {
      color rgbt <1, 1, 0, 1>
   }
   scale 1
   rotate <0, 0, 0>
   translate <0, 0, 0>
   no_shadow
   hollow false
}

light_source {
   //*PMName Sonne
   <-30, -13, 0>, rgb <4, 4, 4>
   parallel
}

camera {
   perspective
   location <0, 0, -400>
   sky <0, 1, 0>
   direction <0, 0, 1>
   right <1.3333, 0, 0>
   up <0, 1, 0>
   look_at <0, 0, 0>
   angle 5
}